/// Contains the generated Chronicles of Darkness-related protocol
/// buffer types.
pub mod cofd {
    include!(concat!(env!("OUT_DIR"), "/models.proto.cofd.rs"));

    pub(crate) trait DerivedStats {
        fn speed(&self) -> i32;
    }

    impl DerivedStats for CofdSheet {
        fn speed(&self) -> i32 {
            self.size + self.stamina
        }
    }
}
