use rocket::response::Redirect;

/// Common redirect to the login page.
pub(super) fn redirect_to_login() -> Redirect {
    Redirect::to(uri!(super::auth::login_page))
}

/// Common redirect to the index page.
pub(super) fn redirect_to_index() -> Redirect {
    Redirect::to(uri!(super::root::index))
}
