table! {
    use diesel::sql_types::*;
    use crate::models::characters::*;

    characters (id) {
        id -> Integer,
        user_id -> Integer,
        viewable -> Bool,
        character_name -> Text,
        data_type -> CharacterDataTypeMapping,
        data_version -> Integer,
        data -> Binary,
    }
}

table! {
    use diesel::sql_types::*;
    use crate::models::characters::*;

    users (id) {
        id -> Integer,
        username -> Text,
        password -> Text,
    }
}

allow_tables_to_appear_in_same_query!(
    characters,
    users,
);
